/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package conexionCredibanco;

import conexionCredibanco.controller.TblTransaccionesCredibancoJpaController;
import conexionCredibanco.entity.TblTransaccionesCredibanco;
import java.math.BigDecimal;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author viatori
 */
public class ConexionCredibanco {

    private final TblTransaccionesCredibancoJpaController tc;
    private EntityManagerFactory em;

    public ConexionCredibanco() {
        this.em = Persistence.createEntityManagerFactory("conexionCredibancoPU");
        this.tc = new TblTransaccionesCredibancoJpaController(em);
    }

    public static void main(String[] args) {

        ConexionCredibanco prueba = new ConexionCredibanco();
        List<TblTransaccionesCredibanco> lista = prueba.consultaTransaccionesPendientesXEmpresa("0206");
        for (TblTransaccionesCredibanco list : lista) {
            System.out.println(list.getIdTransaccion());
        }

    }

    public TblTransaccionesCredibanco consultaTransaccionXIdTransaccionAndEmpresa(long idTransaccion, String codEmpresa, String token) {
        try {
            TblTransaccionesCredibanco transaccion = tc.findTblTransaccionesCredibanco(idTransaccion);
            transaccion.setNotificacionWs(1);
            tc.edit(transaccion);
            return transaccion;
        } catch (Exception ex) {
            Logger.getLogger(ConexionCredibanco.class.getName()).log(Level.SEVERE, null, ex);
        }
        return null;
    }

    public List<TblTransaccionesCredibanco> consultaTransaccionesPendientesXEmpresa(String codEmpresa) {
        List<TblTransaccionesCredibanco> transacciones = tc.getInfoTransaccionesXEmpresa(codEmpresa);
        return transacciones;
    }

    public void cerrarConexion() {
        tc.cerrar();
    }

}
